Subject: Re: cmd_struct

From: Junio C Hamano <[email-masked]>
Date: Wed, 13 May 2015 16:31:46 -0700

Junio C Hamano <[email-masked]> writes:

> On Wed, May 13, 2015 at 4:10 PM, Thiago Farina <[email-masked]> wrote:
>>
>> Would be too churn/noise (at this point) to rename cmd_struct to builtin_cmd?
>
> The name has served us well, I do not see a compelling reason to change it
> to anything else, and I suspect the name stayed unchanged because nobody
> else found such a reason, either.
>
> So... if you are unwilling to make a compelling case telling us why the current
> name does not work, I do not think it is likely that anybody finds such a change
> necessary, welcome, or even tolerable.

Having said that, I would agree that if I were writing git.c from
scratch today, I would have done

	static struct builtin_cmd builtin_cmd[] = { ...

insead of the current

	static struct cmd_struct commands[] = { ...

just because I think it makes more sense.  But that reason suggests
it is a mere code churn of no value, after all these years.

"Because the non-POSIX non-ANSI-C platform I am porting for stomps
on the end-user program's namespace, and cmd_struct is one of the
victims" could be a reason that is better than "just because I think
it makes more sense", but even then, there would probably be a
better ways other than renaming the symbols in end-user code
(i.e. Git) to solve such a name clash.